




















































































































 


































































































































































 

















































































































































































































































































































































































































































 






































































































 










 








































































































































































































































 










                                
                                

                                
                                

                                
                                

                                





































module Con2PrimM_fortran_interfaces
  implicit none
  
  INTEGER*4, parameter :: izero = 0
  integer, parameter :: ik = kind(izero)

  interface
    subroutine GRHydro_Con2PrimM_ptold(  handle, &
                                       local_gam, dens, &
                        sx,  sy,  sz, &
                        tau, &
                        Bconsx,  Bconsy,  Bconsz, &
                        rho, &
                        velx,  vely,  velz,&
                        epsilon,  pressure,&
                        Bx,  By,  Bz, &
                        bsq,&
                        w_lorentz, &
                        gxx,  gxy,  gxz, &
                        gyy,  gyz,  gzz, &
                        uxx, uxy, uxz,&
                        uyy, uyz, uzz,&
                        det,&
                        epsnegative, &
                        retval)

       implicit none       
       INTEGER*4 handle
       REAL*8 local_gam
       REAL*8 dens 
       REAL*8 sx, sy, sz
       REAL*8 tau 
       REAL*8 Bconsx, Bconsy, Bconsz
       REAL*8 rho
       REAL*8 velx, vely, velz
       REAL*8 epsilon, pressure
       REAL*8 Bx, By, Bz
       REAL*8 bsq
       REAL*8 w_lorentz
       REAL*8 gxx, gxy, gxz 
       REAL*8 gyy, gyz, gzz
       REAL*8 uxx, uxy, uxz
       REAL*8 uyy, uyz, uzz
       REAL*8 det
       INTEGER*4 epsnegative
       REAL*8 retval
     end subroutine  GRHydro_Con2PrimM_ptold

     subroutine GRHydro_Con2PrimM_pt2(  handle, keytemp, eos_prec, prec, &
                                       local_gam, dens, &
                        sx,  sy,  sz, &
                        tau, &
                        Bconsx,  Bconsy,  Bconsz, &
                        xye, xtemp, &
                        rho, &
                        velx,  vely,  velz,&
                        epsilon,  pressure,&
                        Bx,  By,  Bz, &
                        bsq,&
                        w_lorentz, &
                        gxx,  gxy,  gxz, &
                        gyy,  gyz,  gzz, &
                        uxx, uxy, uxz,&
                        uyy, uyz, uzz,&
                        det,&
                        epsnegative, &
                        retval)

       implicit none       
       INTEGER*4 handle
       INTEGER*4 keytemp
       REAL*8 eos_prec
       REAL*8 prec
       REAL*8 local_gam
       REAL*8 dens 
       REAL*8 sx, sy, sz
       REAL*8 tau 
       REAL*8 Bconsx, Bconsy, Bconsz
       REAL*8 xye
       REAL*8 xtemp 
       REAL*8 rho
       REAL*8 velx, vely, velz
       REAL*8 epsilon, pressure
       REAL*8 Bx, By, Bz
       REAL*8 bsq
       REAL*8 w_lorentz
       REAL*8 gxx, gxy, gxz 
       REAL*8 gyy, gyz, gzz
       REAL*8 uxx, uxy, uxz
       REAL*8 uyy, uyz, uzz
       REAL*8 det
       INTEGER*4 epsnegative
       REAL*8 retval
     end subroutine  GRHydro_Con2PrimM_pt2


     subroutine GRHydro_Con2PrimM_pt(  handle, GRHydro_reflevel, i, j, k, x, y, z, keytemp, eos_prec, prec, &
                                       local_gam, dens, &
                        sx,  sy,  sz, &
                        tau, &
                        Bconsx,  Bconsy,  Bconsz, &
                        xye, xtemp, &
                        rho, &
                        velx,  vely,  velz,&
                        epsilon,  pressure,&
                        Bx,  By,  Bz, &
                        bsq,&
                        w_lorentz, &
                        gxx,  gxy,  gxz, &
                        gyy,  gyz,  gzz, &
                        uxx, uxy, uxz,&
                        uyy, uyz, uzz,&
                        det,&
                        epsnegative, &
                        retval)

       implicit none       
       INTEGER*4 handle
       INTEGER*4 GRHydro_reflevel 
       INTEGER*4 i, j, k 
       REAL*8 x, y, z
       INTEGER*4 keytemp
       REAL*8 eos_prec
       REAL*8 prec
       REAL*8 local_gam
       REAL*8 dens 
       REAL*8 sx, sy, sz
       REAL*8 tau 
       REAL*8 Bconsx, Bconsy, Bconsz
       REAL*8 xye
       REAL*8 xtemp 
       REAL*8 rho
       REAL*8 velx, vely, velz
       REAL*8 epsilon, pressure
       REAL*8 Bx, By, Bz
       REAL*8 bsq
       REAL*8 w_lorentz
       REAL*8 gxx, gxy, gxz 
       REAL*8 gyy, gyz, gzz
       REAL*8 uxx, uxy, uxz
       REAL*8 uyy, uyz, uzz
       REAL*8 det
       INTEGER*4 epsnegative
       REAL*8 retval
     end subroutine  GRHydro_Con2PrimM_pt

  subroutine GRHydro_Con2PrimM_Polytype_pt(  handle, local_gam,&
                        dens, &
                        sx,  sy,  sz, &
                        sc, &
                        Bconsx,  Bconsy,  Bconsz, &
                        rho, &
                        velx,  vely,  velz,&
                        epsilon,  pressure,&
                        Bx,  By,  Bz, &
                        bsq,&
                        w_lorentz, &
                        gxx,  gxy,  gxz, &
                        gyy,  gyz,  gzz, &
                        uxx, uxy, uxz,&
                        uyy, uyz, uzz,&
                        det,&
                        epsnegative, &
                        retval)

       implicit none       
       INTEGER*4 handle
       REAL*8 local_gam
       REAL*8 dens 
       REAL*8 sx, sy, sz
       REAL*8 sc 
       REAL*8 Bconsx, Bconsy, Bconsz
       REAL*8 rho
       REAL*8 velx, vely, velz
       REAL*8 epsilon, pressure
       REAL*8 Bx, By, Bz
       REAL*8 bsq
       REAL*8 w_lorentz
       REAL*8 gxx, gxy, gxz 
       REAL*8 gyy, gyz, gzz
       REAL*8 uxx, uxy, uxz
       REAL*8 uyy, uyz, uzz
       REAL*8 det
       INTEGER*4 epsnegative
       REAL*8 retval
     end subroutine  GRHydro_Con2PrimM_Polytype_pt

  end interface

end module Con2PrimM_fortran_interfaces
